      integer function strlen (string)                                  STRL001
c     find out the real length of the string                            STRL002
c     this should be replaced by intrinsic function                     STRL003
c                                                                       STRL004
      include 'brkcln.par'                                              STRL005
c                                                                       STRL006
      character string*(*)                                              STRL007
c                                                                       STRL008
      integer nxch                                                      STRL009
c                                                                       STRL010
      do 200 nxch = len(string), 1, -1                                  STRL011
      if (string(nxch:nxch) .ne. space) goto 300                        STRL012
  200 continue                                                          STRL013
      nxch = 0                                                          STRL014
  300 continue                                                          STRL015
      strlen = nxch                                                     STRL016
      end                                                               STRL017
